io.vertx.sqlclient

## Interface Row

- All Superinterfaces:
    Tuple

      public interface Row
      extends Tuple

  Represents single row of the result set.

- - ### Field Summary

    - ### Fields inherited from interface io.vertx.sqlclient.Tuple

      `JSON_NULL`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `default BigDecimal[]` | `getArrayOfBigDecimals(String column)` Get an array of `BigDecimal` value for the given `column`.
    `default Boolean[]` | `getArrayOfBooleans(String column)` Get an array of `Boolean` value for the given `column`.
    `default Buffer[]` | `getArrayOfBuffers(String column)` Get an array of `Buffer` value for the given `column`.
    `default Double[]` | `getArrayOfDoubles(String column)` Get an array of `Double` value for the given `column`.
    `default Float[]` | `getArrayOfFloats(String column)` Get an array of `Float` value for the given `column`.
    `default Integer[]` | `getArrayOfIntegers(String column)` Get an array of `Integer` value for the given `column`.
    `default Object[]` | `getArrayOfJsons(String column)` Get an array of JSON elements for the given `column`, the element might be `null` or one of the following types: String Number JsonObject JsonArray Boolean
    `default java.time.LocalDate[]` | `getArrayOfLocalDates(String column)` Get an array of `LocalDate` value for the given `column`.
    `default java.time.LocalDateTime[]` | `getArrayOfLocalDateTimes(String column)` Get an array of `LocalDateTime` value for the given `column`.
    `default java.time.LocalTime[]` | `getArrayOfLocalTimes(String column)` Get an array of `LocalTime` value for the given `column`.
    `default Long[]` | `getArrayOfLongs(String column)` Get an array of `Long` value for the given `column`.
    `default Numeric[]` | `getArrayOfNumerics(String column)` Get an array of `Numeric` value for the given `column`.
    `default java.time.OffsetDateTime[]` | `getArrayOfOffsetDateTimes(String column)` Get an array of `OffsetDateTime` value for the given `column`.
    `default java.time.OffsetTime[]` | `getArrayOfOffsetTimes(String column)` Get an array of `OffsetTime` value for the given `column`.
    `default Short[]` | `getArrayOfShorts(String column)` Get an array of `Short` value for the given `column`.
    `default String[]` | `getArrayOfStrings(String column)` Get an array of `String` value for the given `column`.
    `default java.time.temporal.Temporal[]` | `getArrayOfTemporals(String column)` Get an array of `Temporal` value for the given `column`.
    `default UUID[]` | `getArrayOfUUIDs(String column)` Get an array of `UUID` value for the given `column`.
    `default BigDecimal` | `getBigDecimal(String column)` Get `BigDecimal` value for the given `column`.
    `default BigDecimal[]` | `getBigDecimalArray(String column)` Deprecated. instead use `getArrayOfBigDecimals(String)`
    `default Boolean` | `getBoolean(String column)` Get a boolean value for the given `column`.
    `default Boolean[]` | `getBooleanArray(String column)` Deprecated. instead use `getArrayOfBooleans(String)`
    `default Buffer` | `getBuffer(String column)` Get a buffer value for the given `column`.
    `default Buffer[]` | `getBufferArray(String column)` Deprecated. instead use `getArrayOfBuffers(String)`
    `int` | `getColumnIndex(String name)` Get a column position for the given column `name`.
    `String` | `getColumnName(int pos)` Get a column name for the given `column`.
    `default Double` | `getDouble(String column)` Get a double value for the given `column`.
    `default Double[]` | `getDoubleArray(String column)` Deprecated. instead use `getArrayOfDoubles(String)`
    `default Float` | `getFloat(String column)` Get a float value for the given `column`.
    `default Float[]` | `getFloatArray(String column)` Deprecated. instead use `getArrayOfFloats(String)`
    `default Integer` | `getInteger(String column)` Get an integer value for the given `column`.
    `default Integer[]` | `getIntegerArray(String column)` Deprecated. instead use `getArrayOfIntegers(String)`
    `default Object` | `getJson(String column)` Get a JSON element for the given `column`, the element might be `null` or one of the following types: String Number JsonObject JsonArray Boolean
    `default java.time.LocalDate` | `getLocalDate(String column)` Get `LocalDate` value for the given `column`.
    `default java.time.LocalDate[]` | `getLocalDateArray(String column)` Deprecated. instead use `getArrayOfLocalDates(String)`
    `default java.time.LocalDateTime` | `getLocalDateTime(String column)` Get `LocalDateTime` value for the given `column`.
    `default java.time.LocalDateTime[]` | `getLocalDateTimeArray(String column)` Deprecated. instead use `getArrayOfLocalDateTimes(String)`
    `default java.time.LocalTime` | `getLocalTime(String column)` Get `LocalTime` value for the given `column`.
    `default java.time.LocalTime[]` | `getLocalTimeArray(String column)` Deprecated. instead use `getArrayOfLocalTimes(String)`
    `default Long` | `getLong(String column)` Get a long value for the given `column`.
    `default Long[]` | `getLongArray(String column)` Deprecated. instead use `getArrayOfLongs(String)`
    `default Numeric` | `getNumeric(String column)` Get a numeric value for the given `column`.
    `default Numeric[]` | `getNumericArray(String column)` Deprecated. instead use `getArrayOfNumerics(String)`
    `default java.time.OffsetDateTime` | `getOffsetDateTime(String column)` Get `OffsetDateTime` value for the given `column`.
    `default java.time.OffsetDateTime[]` | `getOffsetDateTimeArray(String column)` Deprecated. instead use `getArrayOfOffsetDateTimes(String)`
    `default java.time.OffsetTime` | `getOffsetTime(String column)` Get `OffsetTime` value for the given `column`.
    `default java.time.OffsetTime[]` | `getOffsetTimeArray(String column)` Deprecated. instead use `getArrayOfOffsetTimes(String)`
    `default Short` | `getShort(String column)` Get a short value for the given `column`.
    `default Short[]` | `getShortArray(String column)` Deprecated. instead use `getArrayOfShorts(String)`
    `default String` | `getString(String column)` Get a string value for the given `column`.
    `default String[]` | `getStringArray(String column)` Deprecated. instead use `getArrayOfStrings(String)`
    `default java.time.temporal.Temporal` | `getTemporal(String column)` Get a temporal value for the given `column`.
    `default java.time.temporal.Temporal[]` | `getTemporalArray(String column)` Deprecated. instead use `getArrayOfTemporals(String)`
    `default UUID` | `getUUID(String column)` Get `UUID` value for the given `column`.
    `default UUID[]` | `getUUIDArray(String column)` Deprecated. instead use `getArrayOfUUIDs(String)`
    `default Object` | `getValue(String column)` Get an object value for the given `column`.
    `<T> T[]` | `getValues(Class<T> type, int idx)`

    - ### Methods inherited from interface io.vertx.sqlclient.Tuple

      `addArrayOfBigDecimal, addArrayOfBoolean, addArrayOfBuffer, addArrayOfDouble, addArrayOfFloat, addArrayOfInteger, addArrayOfLocalDate, addArrayOfLocalDateTime, addArrayOfLocalTime, addArrayOfLong, addArrayOfOffsetDateTime, addArrayOfOffsetTime, addArrayOfShort, addArrayOfString, addArrayOfTemporal, addArrayOfUUID, addBigDecimal, addBigDecimalArray, addBoolean, addBooleanArray, addBuffer, addBufferArray, addDouble, addDoubleArray, addFloat, addFloatArray, addInteger, addIntegerArray, addLocalDate, addLocalDateArray, addLocalDateTime, addLocalDateTimeArray, addLocalTime, addLocalTimeArray, addLong, addLongArray, addOffsetDateTime, addOffsetDateTimeArray, addOffsetTime, addOffsetTimeArray, addShort, addShortArray, addString, addStringArray, addTemporal, addTemporalArray, addUUID, addUUIDArray, addValue, addValues, clear, deepToString, get, getArrayOfBigDecimals, getArrayOfBooleans, getArrayOfBuffers, getArrayOfDoubles, getArrayOfFloats, getArrayOfIntegers, getArrayOfJsons, getArrayOfLocalDates, getArrayOfLocalDateTimes, getArrayOfLocalTimes, getArrayOfLongs, getArrayOfNumerics, getArrayOfOffsetDateTimes, getArrayOfOffsetTimes, getArrayOfShorts, getArrayOfStrings, getArrayOfTemporals, getArrayOfUUIDs, getBigDecimal, getBigDecimalArray, getBoolean, getBooleanArray, getBuffer, getBufferArray, getDouble, getDoubleArray, getFloat, getFloatArray, getInteger, getIntegerArray, getJson, getLocalDate, getLocalDateArray, getLocalDateTime, getLocalDateTimeArray, getLocalTime, getLocalTimeArray, getLong, getLongArray, getNumeric, getNumericArray, getOffsetDateTime, getOffsetDateTimeArray, getOffsetTime, getOffsetTimeArray, getShort, getShortArray, getString, getStringArray, getTemporal, getTemporalArray, getUUID, getUUIDArray, getValue, of, of, of, of, of, of, of, size, tuple, tuple, types, wrap, wrap`

- - ### Method Detail

    - #### getColumnName

          String getColumnName(int pos)

      Get a column name for the given `column`.
      Parameters:
        `pos` - the column position
      Returns:
        the column name or `null`

    - #### getColumnIndex

          int getColumnIndex(String name)

      Get a column position for the given column `name`.
      Parameters:
        `name` - the column name
      Returns:
        the column name or `-1` if not found

    - #### getValue

          default Object getValue(String column)

      Get an object value for the given `column`.
      Parameters:
        `column` - the column name
      Returns:
        the `column` value
      Throws:
        `NoSuchElementException` - when the `column` does not exist

    - #### getBoolean

          default Boolean getBoolean(String column)

      Get a boolean value for the given `column`.
      Parameters:
        `column` - the column name
      Returns:
        the `column` value
      Throws:
        `NoSuchElementException` - when the `column` does not exist

    - #### getShort

          default Short getShort(String column)

      Get a short value for the given `column`.
      Parameters:
        `column` - the column name
      Returns:
        the `column` value
      Throws:
        `NoSuchElementException` - when the `column` does not exist

    - #### getInteger

          default Integer getInteger(String column)

      Get an integer value for the given `column`.
      Parameters:
        `column` - the column name
      Returns:
        the `column` value
      Throws:
        `NoSuchElementException` - when the `column` does not exist

    - #### getLong

          default Long getLong(String column)

      Get a long value for the given `column`.
      Parameters:
        `column` - the column name
      Returns:
        the `column` value
      Throws:
        `NoSuchElementException` - when the `column` does not exist

    - #### getFloat

          default Float getFloat(String column)

      Get a float value for the given `column`.
      Parameters:
        `column` - the column name
      Returns:
        the `column` value
      Throws:
        `NoSuchElementException` - when the `column` does not exist

    - #### getDouble

          default Double getDouble(String column)

      Get a double value for the given `column`.
      Parameters:
        `column` - the column name
      Returns:
        the `column` value
      Throws:
        `NoSuchElementException` - when the `column` does not exist

    - #### getNumeric

          default Numeric getNumeric(String column)

      Get a numeric value for the given `column`.
      Parameters:
        `column` - the column name
      Returns:
        the `column` value
      Throws:
        `NoSuchElementException` - when the `column` does not exist

    - #### getString

          default String getString(String column)

      Get a string value for the given `column`.
      Parameters:
        `column` - the column name
      Returns:
        the `column` value
      Throws:
        `NoSuchElementException` - when the `column` does not exist

    - #### getJson

          default Object getJson(String column)

      Get a JSON element for the given `column`, the element might be `null` or one of the following types:
      - String
      - Number
      - JsonObject
      - JsonArray
      - Boolean
      Parameters:
        `column` - the column name
      Returns:
        the `column` value
      Throws:
        `NoSuchElementException` - when the `column` does not exist

    - #### getTemporal

          default java.time.temporal.Temporal getTemporal(String column)

      Get a temporal value for the given `column`.
      Parameters:
        `column` - the column name
      Returns:
        the `column` value
      Throws:
        `NoSuchElementException` - when the `column` does not exist

    - #### getLocalDate

          default java.time.LocalDate getLocalDate(String column)

      Get `LocalDate` value for the given `column`.
      Parameters:
        `column` - the column name
      Returns:
        the `column` value
      Throws:
        `NoSuchElementException` - when the `column` does not exist

    - #### getLocalTime

          default java.time.LocalTime getLocalTime(String column)

      Get `LocalTime` value for the given `column`.
      Parameters:
        `column` - the column name
      Returns:
        the `column` value
      Throws:
        `NoSuchElementException` - when the `column` does not exist

    - #### getLocalDateTime

          default java.time.LocalDateTime getLocalDateTime(String column)

      Get `LocalDateTime` value for the given `column`.
      Parameters:
        `column` - the column name
      Returns:
        the `column` value
      Throws:
        `NoSuchElementException` - when the `column` does not exist

    - #### getOffsetTime

          default java.time.OffsetTime getOffsetTime(String column)

      Get `OffsetTime` value for the given `column`.
      Parameters:
        `column` - the column name
      Returns:
        the `column` value
      Throws:
        `NoSuchElementException` - when the `column` does not exist

    - #### getOffsetDateTime

          default java.time.OffsetDateTime getOffsetDateTime(String column)

      Get `OffsetDateTime` value for the given `column`.
      Parameters:
        `column` - the column name
      Returns:
        the `column` value
      Throws:
        `NoSuchElementException` - when the `column` does not exist

    - #### getBuffer

          default Buffer getBuffer(String column)

      Get a buffer value for the given `column`.
      Parameters:
        `column` - the column name
      Returns:
        the `column` value
      Throws:
        `NoSuchElementException` - when the `column` does not exist

    - #### getUUID

          default UUID getUUID(String column)

      Get `UUID` value for the given `column`.
      Parameters:
        `column` - the column name
      Returns:
        the `column` value
      Throws:
        `NoSuchElementException` - when the `column` does not exist

    - #### getBigDecimal

          default BigDecimal getBigDecimal(String column)

      Get `BigDecimal` value for the given `column`.
      Parameters:
        `column` - the column name
      Returns:
        the `column` value
      Throws:
        `NoSuchElementException` - when the `column` does not exist

    - #### getArrayOfBooleans

          default Boolean[] getArrayOfBooleans(String column)

      Get an array of `Boolean` value for the given `column`.
      Parameters:
        `column` - the column name
      Returns:
        the `column` value
      Throws:
        `NoSuchElementException` - when the `column` does not exist

    - #### getBooleanArray

          @Deprecated
          default Boolean[] getBooleanArray(String column)

      Deprecated. instead use `getArrayOfBooleans(String)`
      Get an array of `Boolean` value for the given `column`.
      Parameters:
        `column` - the column name
      Returns:
        the `column` value
      Throws:
        `NoSuchElementException` - when the `column` does not exist

    - #### getArrayOfShorts

          default Short[] getArrayOfShorts(String column)

      Get an array of `Short` value for the given `column`.
      Parameters:
        `column` - the column name
      Returns:
        the `column` value
      Throws:
        `NoSuchElementException` - when the `column` does not exist

    - #### getShortArray

          @Deprecated
          default Short[] getShortArray(String column)

      Deprecated. instead use `getArrayOfShorts(String)`
      Get an array of `Short` value for the given `column`.
      Parameters:
        `column` - the column name
      Returns:
        the `column` value
      Throws:
        `NoSuchElementException` - when the `column` does not exist

    - #### getArrayOfIntegers

          default Integer[] getArrayOfIntegers(String column)

      Get an array of `Integer` value for the given `column`.
      Parameters:
        `column` - the column name
      Returns:
        the `column` value
      Throws:
        `NoSuchElementException` - when the `column` does not exist

    - #### getIntegerArray

          @Deprecated
          default Integer[] getIntegerArray(String column)

      Deprecated. instead use `getArrayOfIntegers(String)`
      Get an array of `Integer` value for the given `column`.
      Parameters:
        `column` - the column name
      Returns:
        the `column` value
      Throws:
        `NoSuchElementException` - when the `column` does not exist

    - #### getArrayOfLongs

          default Long[] getArrayOfLongs(String column)

      Get an array of `Long` value for the given `column`.
      Parameters:
        `column` - the column name
      Returns:
        the `column` value
      Throws:
        `NoSuchElementException` - when the `column` does not exist

    - #### getLongArray

          @Deprecated
          default Long[] getLongArray(String column)

      Deprecated. instead use `getArrayOfLongs(String)`
      Get an array of `Long` value for the given `column`.
      Parameters:
        `column` - the column name
      Returns:
        the `column` value
      Throws:
        `NoSuchElementException` - when the `column` does not exist

    - #### getArrayOfFloats

          default Float[] getArrayOfFloats(String column)

      Get an array of `Float` value for the given `column`.
      Parameters:
        `column` - the column name
      Returns:
        the `column` value
      Throws:
        `NoSuchElementException` - when the `column` does not exist

    - #### getFloatArray

          @Deprecated
          default Float[] getFloatArray(String column)

      Deprecated. instead use `getArrayOfFloats(String)`
      Get an array of `Float` value for the given `column`.
      Parameters:
        `column` - the column name
      Returns:
        the `column` value
      Throws:
        `NoSuchElementException` - when the `column` does not exist

    - #### getArrayOfDoubles

          default Double[] getArrayOfDoubles(String column)

      Get an array of `Double` value for the given `column`.
      Parameters:
        `column` - the column name
      Returns:
        the `column` value
      Throws:
        `NoSuchElementException` - when the `column` does not exist

    - #### getDoubleArray

          @Deprecated
          default Double[] getDoubleArray(String column)

      Deprecated. instead use `getArrayOfDoubles(String)`
      Get an array of `Double` value for the given `column`.
      Parameters:
        `column` - the column name
      Returns:
        the `column` value
      Throws:
        `NoSuchElementException` - when the `column` does not exist

    - #### getArrayOfNumerics

          default Numeric[] getArrayOfNumerics(String column)

      Get an array of `Numeric` value for the given `column`.
      Parameters:
        `column` - the column name
      Returns:
        the `column` value
      Throws:
        `NoSuchElementException` - when the `column` does not exist

    - #### getNumericArray

          @Deprecated
          default Numeric[] getNumericArray(String column)

      Deprecated. instead use `getArrayOfNumerics(String)`
      Get an array of `Numeric` value for the given `column`.
      Parameters:
        `column` - the column
      Returns:
        the `column` value
      Throws:
        `NoSuchElementException` - when the `column` does not exist

    - #### getArrayOfStrings

          default String[] getArrayOfStrings(String column)

      Get an array of `String` value for the given `column`.
      Parameters:
        `column` - the column name
      Returns:
        the `column` value
      Throws:
        `NoSuchElementException` - when the `column` does not exist

    - #### getStringArray

          @Deprecated
          default String[] getStringArray(String column)

      Deprecated. instead use `getArrayOfStrings(String)`
      Get an array of `String` value for the given `column`.
      Parameters:
        `column` - the column name
      Returns:
        the `column` value
      Throws:
        `NoSuchElementException` - when the `column` does not exist

    - #### getArrayOfTemporals

          default java.time.temporal.Temporal[] getArrayOfTemporals(String column)

      Get an array of `Temporal` value for the given `column`.
      Parameters:
        `column` - the column name
      Returns:
        the `column` value
      Throws:
        `NoSuchElementException` - when the `column` does not exist

    - #### getTemporalArray

          @Deprecated
          default java.time.temporal.Temporal[] getTemporalArray(String column)

      Deprecated. instead use `getArrayOfTemporals(String)`
      Get an array of `Temporal` value for the given `column`.
      Parameters:
        `column` - the column name
      Returns:
        the `column` value
      Throws:
        `NoSuchElementException` - when the `column` does not exist

    - #### getArrayOfLocalDates

          default java.time.LocalDate[] getArrayOfLocalDates(String column)

      Get an array of `LocalDate` value for the given `column`.
      Parameters:
        `column` - the column name
      Returns:
        the `column` value
      Throws:
        `NoSuchElementException` - when the `column` does not exist

    - #### getLocalDateArray

          @Deprecated
          default java.time.LocalDate[] getLocalDateArray(String column)

      Deprecated. instead use `getArrayOfLocalDates(String)`
      Get an array of `LocalDate` value for the given `column`.
      Parameters:
        `column` - the column name
      Returns:
        the `column` value
      Throws:
        `NoSuchElementException` - when the `column` does not exist

    - #### getArrayOfLocalTimes

          default java.time.LocalTime[] getArrayOfLocalTimes(String column)

      Get an array of `LocalTime` value for the given `column`.
      Parameters:
        `column` - the column name
      Returns:
        the `column` value
      Throws:
        `NoSuchElementException` - when the `column` does not exist

    - #### getLocalTimeArray

          @Deprecated
          default java.time.LocalTime[] getLocalTimeArray(String column)

      Deprecated. instead use `getArrayOfLocalTimes(String)`
      Get an array of `LocalTime` value for the given `column`.
      Parameters:
        `column` - the column name
      Returns:
        the `column` value
      Throws:
        `NoSuchElementException` - when the `column` does not exist

    - #### getArrayOfLocalDateTimes

          default java.time.LocalDateTime[] getArrayOfLocalDateTimes(String column)

      Get an array of `LocalDateTime` value for the given `column`.
      Parameters:
        `column` - the column name
      Returns:
        the `column` value
      Throws:
        `NoSuchElementException` - when the `column` does not exist

    - #### getLocalDateTimeArray

          @Deprecated
          default java.time.LocalDateTime[] getLocalDateTimeArray(String column)

      Deprecated. instead use `getArrayOfLocalDateTimes(String)`
      Get an array of `LocalDateTime` value for the given `column`.
      Parameters:
        `column` - the column name
      Returns:
        the `column` value
      Throws:
        `NoSuchElementException` - when the `column` does not exist

    - #### getArrayOfOffsetTimes

          default java.time.OffsetTime[] getArrayOfOffsetTimes(String column)

      Get an array of `OffsetTime` value for the given `column`.
      Parameters:
        `column` - the column name
      Returns:
        the `column` value
      Throws:
        `NoSuchElementException` - when the `column` does not exist

    - #### getOffsetTimeArray

          @Deprecated
          default java.time.OffsetTime[] getOffsetTimeArray(String column)

      Deprecated. instead use `getArrayOfOffsetTimes(String)`
      Get an array of `OffsetTime` value for the given `column`.
      Parameters:
        `column` - the column name
      Returns:
        the `column` value
      Throws:
        `NoSuchElementException` - when the `column` does not exist

    - #### getArrayOfOffsetDateTimes

          default java.time.OffsetDateTime[] getArrayOfOffsetDateTimes(String column)

      Get an array of `OffsetDateTime` value for the given `column`.
      Parameters:
        `column` - the column name
      Returns:
        the `column` value
      Throws:
        `NoSuchElementException` - when the `column` does not exist

    - #### getOffsetDateTimeArray

          @Deprecated
          default java.time.OffsetDateTime[] getOffsetDateTimeArray(String column)

      Deprecated. instead use `getArrayOfOffsetDateTimes(String)`
      Get an array of `OffsetDateTime` value for the given `column`.
      Parameters:
        `column` - the column name
      Returns:
        the `column` value
      Throws:
        `NoSuchElementException` - when the `column` does not exist

    - #### getArrayOfBuffers

          default Buffer[] getArrayOfBuffers(String column)

      Get an array of `Buffer` value for the given `column`.
      Parameters:
        `column` - the column name
      Returns:
        the `column` value
      Throws:
        `NoSuchElementException` - when the `column` does not exist

    - #### getBufferArray

          @Deprecated
          default Buffer[] getBufferArray(String column)

      Deprecated. instead use `getArrayOfBuffers(String)`
      Get an array of `Buffer` value for the given `column`.
      Parameters:
        `column` - the column name
      Returns:
        the `column` value
      Throws:
        `NoSuchElementException` - when the `column` does not exist

    - #### getArrayOfUUIDs

          default UUID[] getArrayOfUUIDs(String column)

      Get an array of `UUID` value for the given `column`.
      Parameters:
        `column` - the column name
      Returns:
        the `column` value
      Throws:
        `NoSuchElementException` - when the `column` does not exist

    - #### getUUIDArray

          @Deprecated
          default UUID[] getUUIDArray(String column)

      Deprecated. instead use `getArrayOfUUIDs(String)`
      Get an array of `UUID` value for the given `column`.
      Parameters:
        `column` - the column name
      Returns:
        the `column` value
      Throws:
        `NoSuchElementException` - when the `column` does not exist

    - #### getArrayOfBigDecimals

          default BigDecimal[] getArrayOfBigDecimals(String column)

      Get an array of `BigDecimal` value for the given `column`.
      Parameters:
        `column` - the column name
      Returns:
        the `column` value
      Throws:
        `NoSuchElementException` - when the `column` does not exist

    - #### getBigDecimalArray

          @Deprecated
          default BigDecimal[] getBigDecimalArray(String column)

      Deprecated. instead use `getArrayOfBigDecimals(String)`
      Get an array of `BigDecimal` value for the given `column`.
      Parameters:
        `column` - the column name
      Returns:
        the `column` value
      Throws:
        `NoSuchElementException` - when the `column` does not exist

    - #### getValues

          <T> T[] getValues(Class<T> type,
                            int idx)

      Specified by:
        `getValues` in interface `Tuple`

    - #### getArrayOfJsons

          default Object[] getArrayOfJsons(String column)

      Get an array of JSON elements for the given `column`, the element might be `null` or one of the following types:
      - String
      - Number
      - JsonObject
      - JsonArray
      - Boolean
      Parameters:
        `column` - the column name
      Returns:
        the `column` value
      Throws:
        `NoSuchElementException` - when the `column` does not exist

Copyright © 2022 Eclipse. All rights reserved.